%global momorel 2

Summary: A featureful Unicode character map. 
Name: gucharmap
Version: 2.26.3.1
Release: %{momorel}m%{?dist}
Group: Applications/System
License: GPL
Source0: ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/2.26/%{name}-%{version}.tar.bz2
NoSource: 0
URL: http://gucharmap.sourceforge.net/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildPrereq: libgnomeui-devel >= 2.24.1
BuildPrereq: gtk2-devel >= 2.16.1
BuildPrereq: libgnome-devel >= 2.26.0
BuildPrereq: pango-devel >= 1.24.0
BuildPrereq: glib2-devel >= 2.20.1
BuildPreReq: openssl-devel >= 0.9.8g
BuildPreReq: gnome-doc-utils-devel >= 0.16.0

Prereq: gtk2 rarian
Requires: libgnomeui
Requires: gtk2
Requires: libgnome

%description
gucharmap is a featureful Unicode character map and font viewer.

%package devel
Summary: Header files, libraries and development documentation for %{name}.
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: libgnomeui-devel
Requires: gtk2-devel
Requires: libgnome-devel

%description devel
This package contains the header files, static libraries and development
documentation for %{name}.

%prep
%setup -q

%build
%configure --disable-scrollkeeper \
    --disable-schemas-install \
    --enable-python-bindings \
    --enable-gtk-doc
%make

%install
rm -rf --preserve-root %{buildroot}
make DESTDIR=%{buildroot} install

%clean
rm -rf --preserve-root %{buildroot}

%post
rarian-sk-update
touch %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
    gtk-update-icon-cache --quiet /usr/share/icons/hicolor
fi
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule \
    %{_sysconfdir}/gconf/schemas/gucharmap.schemas \
    > /dev/null || :

%preun
if [ "$1" -eq 0 ]; then
  export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
  gconftool-2 --makefile-uninstall-rule \
      %{_sysconfdir}/gconf/schemas/gucharmap.schemas \
      > /dev/null || :
fi

%pre
if [ "$1" -gt 1 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
	%{_sysconfdir}/gconf/schemas/gucharmap.schemas \
	> /dev/null || :
fi

%postun
rarian-sk-update

%files
%defattr (-, root, root)
%doc COPYING* ChangeLog NEWS README TODO
%{_sysconfdir}/gconf/schemas/gucharmap.schemas
%{_bindir}/*
%{_libdir}/lib*.so.*
%exclude %{_libdir}/lib*.la
%{_libdir}/python*/site-packages/gtk-2.0/*
%{_datadir}/locale/*/*/*
%{_datadir}/applications/gucharmap.desktop
%{_datadir}/gnome/help/gucharmap
%{_datadir}/omf/gucharmap
%{_datadir}/pygtk/2.0/defs/gucharmap.defs

%files devel
%defattr (-, root, root)
%{_libdir}/pkgconfig/*.pc
%{_libdir}/lib*.so
%{_includedir}/gucharmap-2
%{_datadir}/gtk-doc/html/gucharmap

%changelog
* Sat Jul 11 2009 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (2.26.3.1-2m)
- replace gnome-doc-utils with gnome-doc-utils-devel

* Thu Jul  2 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.26.3.1-1m)
- update to 2.26.3.1

* Mon Jun 29 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.26.3-1m)
- update to 2.26.3

* Sat May 23 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.26.2-1m)
- update to 2.26.2

* Mon Apr 13 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.26.1-1m)
- update to 2.26.1

* Mon Mar 16 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.26.0-1m)
- update to 2.26.0

* Mon Feb 23 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.25.91-1m)
- update to 2.25.91

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.24.3-2m)
- rebuild against rpm-4.6

* Sat Jan 17 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.24.3-1m)
- update to 2.24.3

* Wed Dec 31 2008 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (2.24.2-2m)
- rebuild agaisst python-2.6.1-1m

* Tue Nov 25 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.24.2-1m)
- update to 2.24.2

* Thu Oct 30 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.24.1.1-1m)
- update to 2.24.1.1

* Tue Oct 21 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.24.1-1m)
- update to 2.24.1

* Mon Sep 29 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.24.0-1m)
- update to 2.24.0

* Mon Jun 30 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.22.3-1m)
- update to 2.22.3

* Thu Apr 17 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.22.1-1m)
- update to 2.22.1

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.22.0-2m)
- rebuild against gcc43

* Thu Mar 13 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.22.0-1m)
- update to 2.22.0

* Tue Jan  8 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.10.4-1m)
- update to 1.10.4

* Fri Sep 21 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.10.1-1m)
- update to 1.10.1

* Wed Mar 21 2007 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.10.0-2m)
- add BuildPreReq: gnome-doc-utils >= 0.9.0

* Tue Mar 13 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.10.0-1m)
- update to 1.10.0

* Sat Feb 17 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.9.0-1m)
- update to 1.9.0 (unstable?)

* Thu Sep  7 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.8.0-1m)
- update 1.8.0

* Sun Aug 27 2006 NARITA Koichi <pulsar@sea.plala.or.jp>
- (1.6.0-5m)
- rebuild against expat-2.0.0-1m

* Wed Aug 16 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.6.0-4m)
- delete libtool library

* Tue May 23 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.6.0-3m)
- delete duplicated dir

* Wed Apr 12 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.6.0-2m)
- rebuild against openssl-0.9.8a

* Sat Apr  8 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.6.0-1m)
- update to 1.6.0

* Tue Nov 22 2005 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.4.4-1m)
- version up
- GNOME 2.12.1 Desktop

* Wed Jan 27 2005 Masaru SANUKI <sanuki@momonga-linux.org>
- (1.4.2-1m)
- version 1.4.2
- GNOME 2.8 Desktop

* Fri Jun 18 2004 Kazuhiko <kazuhiko@fdiary.net>
- (1.4.1-3m)
- cancel %%requires_eq gtk+

* Mon May 23 2004 Toru Hoshina <t@momonga-linux.org>
- (1.4.1-2m)
- prereq scrollkeeper.

* Tue Apr 13 2004 Kazuhiko <kazuhiko@fdiary.net>
- (1.4.1-1m)
- version up

* Tue Sep 16 2003 Motonobu Ichimura <famao@momonga-linux.org>
- (1.0.0-1m)
- version 1.0.0

* Tue Aug 26 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.9.0-1m)
- version 0.9.0

* Sat Jun 14 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.8.0-1m)
- version 0.8.0

* Wed Jun 11 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.6.1-3m)
- rebuild against for gtk+-2.2.2

* Fri May 30 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (0.6.1-2m)
  LD_LIBRARY_PATH

* Mon May 26 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.6.1-1m)
- version 0.6.1

* Mon May 12 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.6.0-1m)
- version 0.6.0
